﻿function getParameterByName(name, defaultValue) {
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regexS = "[\\?&]" + name + "=([^&#]*)";
    var regex = new RegExp(regexS);
    var results = regex.exec(window.location.href);
    if (results === null)
        return defaultValue;
    else
        return decodeURIComponent(results[1].replace(/\+/g, " "));
}

Date.prototype.toLocaleDateString = function () {
    if (navigator.language == "en-US" || navigator.language == "en-CA") {
        return (this.getMonth() + 1) + "/" + this.getDate() + "/" + this.getFullYear()
    }
    return this.getDate() + "/" + (this.getMonth() + 1) + "/" + this.getFullYear()
};


function promptForEPGUpdate() {
    var messageModal = app.__vue__.$refs.messageModal;
    messageModal.showMessage("Update EPG", "Your channel lineup has changed. Would you like to update your EPG now?", "Update EPG", "Not now");
}

function showMessageCallback(button) {
    if (button == "Update EPG") {
        var modal = app.__vue__.$refs.updateEPGModal;
        modal.updateEPG();
    }
}